Summary:	Cross MinGW-W64 GNU development utilities - headers
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla MinGW-W64 - pliki nagłówkowe
Name:		crossmingw64-headers
Version:	2.0
Release:	9
License:	ZPL v2.1 with parts on Public Domain, BSD and LGPL.
Group:		Development/Tools
# svn co https://mingw-w64.svn.sourceforge.net/svnroot/mingw-w64/stable/v2.x/mingw-w64-headers mingw64-headers
%define		_rev	5515
Source0:	mingw64-headers.tar.xz
# Source0-md5:	1268ff4bed4aab11c5604281f7741987
URL:		http://mingw-w64.sourceforge.net/
BuildRequires:	automake
BuildRequires:	subversion
AutoReqProv:	no
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%define		target		x86_64-w64-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw64 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the MinGW-W64 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to x86_64-pc-mingw32,
along with supporting Win64 libraries in PE32+ format from free
sources.

This package contains cross targeted headers for Win64.

%description -l pl.UTF-8
crossmingw64 jest kompletnym systemem do skrośnej kompilacji,
pozwalającym budować aplikacje MS Windows pod Linuksem używając
bibliotek MinGW-W64. System składa się z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujące kod dla platformy x86_64-pc-mingw32,
oraz z bibliotek w formacie PE32+.

Ten pakiet zawiera pliki nagłówkowe dla Win64.

%prep
%setup -q -n mingw64-headers
svn upgrade
if [ "`svnversion -n`" != "%{_rev}" ]; then
	exit 1
fi
cp -p include/ChangeLog ChangeLog.headers
cp -p direct-x/ChangeLog ChangeLog.direct-x-headers

%build
%{__aclocal}
%{__autoconf}
%{__automake}
./configure \
	--prefix=%{_prefix} \
	--build=%{_target_platform} \
	--host=%{target} \
	--enable-sdk=all

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog ChangeLog.direct-x-headers ChangeLog.headers
%{arch}/include
%changelog
* Sun Dec 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw64-headers.git;a=log;h=master

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 18d0de1
- reverted target name change: mingw-w64 uses x86_64-w64-mingw_32_ triplet for 64-bit
- release 9

* Sat Dec 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 74240a9
- preserve changelog timestamps

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> d3f9ce4
- ac/am rebuild
- rel 8

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> 7b565c7
- fix svn fuckup
- rel 7

* Sat Apr 02 2016 Jan Rękorajski <baggins@pld-linux.org> b5aac99
- fix target name
- rel 6

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> abed1af
- release 5 (by relup.sh)

* Thu Dec 20 2012 Paweł Sikora <pawel.sikora@agmk.net> de114de
- updated.

* Fri Aug 31 2012 Paweł Sikora <pawel.sikora@agmk.net> 9f51525
- headers updated (stable/v2.x branch), release 3.

* Tue May 08 2012 Paweł Sikora <pluto@pld-linux.org> f2cebd4
- updated, release 2.

* Thu Jan 19 2012 Paweł Sikora <pluto@pld-linux.org> baf1b2c
- release 1.

* Wed Jan 18 2012 Paweł Sikora <pluto@pld-linux.org> f686ae8
- switch to stable v2.x branch.
- switch to *-w64-* target triplet (required for 'gcc -municode' support / *-pc-* is a cygwin compatible w/o unicode).
- release 0.1 so far.

* Sun Apr 10 2011 Paweł Sikora <pluto@pld-linux.org> e9f4217
- BR: subversion for 'svnversion' in %%prep.

* Sun Apr 10 2011 Paweł Sikora <pluto@pld-linux.org> 37a2cc1
- updated to v1.0 @r4121, release 2.

* Sun Sep 26 2010 Paweł Sikora <pluto@pld-linux.org> 9b07c7b
- adjust desc, install changelogs, drop debuginfo package, release 1.

* Sun Sep 26 2010 Paweł Sikora <pluto@pld-linux.org> 9324543
- initial dropin.

